> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/accounts/get-methods/stores/response.md).

# Type specifications

## Store

| Property                | Type                                                                         | Description                                                                                     |
| ----------------------- | ---------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| Id                      | integer                                                                      | ID of the store                                                                                 |
| Name                    | string                                                                       | Name of the store                                                                               |
| BusinessName            | string                                                                       | Legal business name (valid only for companies)                                                  |
| ExternalStoreId         | [#externalstoreid](#externalstoreid "mention")                               | Marketplace-dependant identification of the store.                                              |
| IntegrationCode         | string                                                                       | The customer assigned ID                                                                        |
| IsPrincipal             | boolean                                                                      | Indicates if the store is the principal o main store.                                           |
| OpenHours               | string                                                                       | Label                                                                                           |
| AvailabilityTimeInHours | integer                                                                      | The quantity of hours that the pickup need to replenish stock and fulfill an order.             |
| AllowPickUpStore        | boolean                                                                      | Indicates if the store can work as “pick up in store” branch.                                   |
| AccountPickup           | [#pickupstore](#pickupstore "mention")                                       | If the store is a pickup type of account, then this property shows the registered account data. |
| Zone                    | string                                                                       | Label                                                                                           |
| Address                 | [Type specifications](/v2/orders/get-methods/get-orders/response.md#address) | Store location                                                                                  |
| DateCreated             | datetime (UTC with local user timezone)                                      | Date time of the store creation                                                                 |

### PickupStore

| Property        | Type    | Description                                                                  |
| --------------- | ------- | ---------------------------------------------------------------------------- |
| Name            | string  | Name of the pickup                                                           |
| BusinessName    | string  | Legal business name (valid only for companies)                               |
| SellerAccountID | integer | <p>Account ID of the seller</p><p>(related to the /v2/accounts endpoint)</p> |

### **ExternalStoreID**

| Property      | Type    | Description                                                       |
| ------------- | ------- | ----------------------------------------------------------------- |
| Id            | integer | The marketplace assigned ID for the store                         |
| Name          | string  | The marketplace assigned name for the store                       |
| MarketplaceID | integer | Internal ID for the marketplace. Refer to marketplaces ID section |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/accounts/get-methods/stores/response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
